package com.lightinit.hsdatashow.entity;

import java.math.BigDecimal;
import java.util.Date;

public class SolidwasteLife {
    private Long id;

    private Long regionId;

    private Integer dataYear;

    private String isflag;

    private String evaluate;

    private BigDecimal quantity;

    private BigDecimal quantityNo;

    private BigDecimal untreated;

    private BigDecimal handle;

    private BigDecimal growth;

    private Date createdAt;

    private Long createdBy;

    private Date deletedAt;

    private Long deletedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public Integer getDataYear() {
        return dataYear;
    }

    public void setDataYear(Integer dataYear) {
        this.dataYear = dataYear;
    }

    public String getIsflag() {
        return isflag;
    }

    public void setIsflag(String isflag) {
        this.isflag = isflag == null ? null : isflag.trim();
    }

    public String getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(String evaluate) {
        this.evaluate = evaluate == null ? null : evaluate.trim();
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public BigDecimal getQuantityNo() {
        return quantityNo;
    }

    public void setQuantityNo(BigDecimal quantityNo) {
        this.quantityNo = quantityNo;
    }

    public BigDecimal getUntreated() {
        return untreated;
    }

    public void setUntreated(BigDecimal untreated) {
        this.untreated = untreated;
    }

    public BigDecimal getHandle() {
        return handle;
    }

    public void setHandle(BigDecimal handle) {
        this.handle = handle;
    }

    public BigDecimal getGrowth() {
        return growth;
    }

    public void setGrowth(BigDecimal growth) {
        this.growth = growth;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Date deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(Long deletedBy) {
        this.deletedBy = deletedBy;
    }
}